Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.models.hmm.training
Class NumericalHMMTrainingParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.models.hmm.HMMTrainingParameterSet
              de.jstacs.models.hmm.training.MaxHMMTrainingParameterSet
                  de.jstacs.models.hmm.training.NumericalHMMTrainingParameterSet

All Implemented Interfaces:
  GalaxyConvertible, RangeIterator, Storable, Cloneable

    public class NumericalHMMTrainingParameterSet

extends MaxHMMTrainingParameterSet

This class implements an `ParameterSet` for numerical training of an `AbstractHMM`.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`NumericalHMMTrainingParameterSet()` This is the empty constructor that can be used to fill the parameters after creation.
`NumericalHMMTrainingParameterSet(int starts, AbstractTerminationCondition tc, byte algorithm, double lineEps, double startDist, int threads)` This constructor can be used to create an instance with specified parameters.
`NumericalHMMTrainingParameterSet(StringBuffer xml)` The standard constructor for the interface `Storable`.

Method Summary
`byte` | `getAlgorithm()` This method returns a byte encoding for the algorithm that should be used for optimization.
`double` | `getLineEps()` This method returns the threshold that should be used for stopping the line search during the optimization.
`int` | `getNumberOfThreads()` This method returns the number of threads that should be used during optimization.
`double` | `getStartDistance()` This method returns the start distance that should be used in the line search during the optimization.
`protected void` | `loadParameters()` Loads the parameters for this `ParameterSet`.

Methods inherited from class de.jstacs.models.hmm.training.MaxHMMTrainingParameterSet
`getTerminantionCondition`

Methods inherited from class de.jstacs.models.hmm.HMMTrainingParameterSet
`getNumberOfStarts`

Methods inherited from class de.jstacs.parameters.ParameterSet
`clone, fromGalaxy, fromXML, getErrorMessage, getId, getIndex, getNumberOfParameters, getNumberOfValues, getParameterAt, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, replaceParametersWithRangedInstance, reset, resetToFirst, setParent, simplify, toGalaxy, toXML, valuesToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumericalHMMTrainingParameterSet

    public NumericalHMMTrainingParameterSet()

  This is the empty constructor that can be used to fill the parameters after creation.

### NumericalHMMTrainingParameterSet

    public NumericalHMMTrainingParameterSet(int starts,
                                            AbstractTerminationCondition tc,
                                            byte algorithm,
                                            double lineEps,
                                            double startDist,
                                            int threads)
                                     throws Exception

  This constructor can be used to create an instance with specified parameters.

  Parameters:
    `starts` - the number of different starts
    `tc` - the termination condition for stopping the algorithm
    `algorithm` - the algorithm that shall be used
    `lineEps` - the threshold for stopping the line search
    `startDist` - the start distance for the line search
    `threads` - the number of threads used during numerical optimization
  Throws:
    `Exception` - if this `NumericalHMMTrainingParameterSet` could not be created

### NumericalHMMTrainingParameterSet

    public NumericalHMMTrainingParameterSet(StringBuffer xml)
                                     throws NonParsableException

  The standard constructor for the interface `Storable`. Constructs a `NumericalHMMTrainingParameterSet` out of an XML representation.

  Parameters:
    `xml` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `NumericalHMMTrainingParameterSet` could not be reconstructed out of the `StringBuffer` `xml`

Method Detail

### loadParameters

    protected void loadParameters()
                           throws Exception

  Description copied from class: `ParameterSet`
  Loads the parameters for this `ParameterSet`. This is in most cases done by calling `ParameterSet.initParameterList()` or `ParameterSet.initParameterList(int)` to initialize `ParameterSet.parameters` and afterwards filling `ParameterSet.parameters` with instances of subclasses of `Parameter`.

  Overrides:
    `loadParameters` in class `MaxHMMTrainingParameterSet`
  Throws:
    `Exception` - if the parameters could not be loaded
  See Also:
    `Parameter`, `ParameterSet.parameters`, `ParameterSet.initParameterList()`, `ParameterSet.initParameterList(int)`

### getAlgorithm

    public byte getAlgorithm()

  This method returns a byte encoding for the algorithm that should be used for optimization.

  Returns:
    a byte encoding for the algorithm that should be used for optimization

### getLineEps

    public double getLineEps()

  This method returns the threshold that should be used for stopping the line search during the optimization.

  Returns:
    the threshold that should be used for stopping the line search during the optimization.

### getStartDistance

    public double getStartDistance()

  This method returns the start distance that should be used in the line search during the optimization.

  Returns:
    the start distance that should be used in the line search during the optimization.

### getNumberOfThreads

    public int getNumberOfThreads()

  This method returns the number of threads that should be used during optimization.

  Returns:
    the number of threads that should be used during optimization

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD